package cn.com.ty.lift.business.evaluation.dao.entity.model;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2019-12-31
 * @description
 */
@Data
public class EvaluationRequest {

    private Long id;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 维修/保养记录ID
     */
    private Long recordId;

    /**
     * 来源（1 维保；2 急修）
     */
    private Integer source;

    /**
     * 类型（1 物业评价；2 手写评价；3 自动评价）
     */
    private Integer type;

    /**
     * 用户建议
     */
    private String advice;

    /**
     * 服务态度
     */
    private Integer serviceLevel;

    /**
     * 保养满意度
     */
    private Integer starLevel;

    /**
     * 手写签名图片
     */
    private String imgUrl;

    /**
     * 评价时间
     */
    private LocalDateTime postDate;

    /**
     * 评价人ID
     */
    private Long userId;
    
}
