package cn.com.ty.lift.business.maintenance.service;

import cn.com.ty.lift.business.maintenance.dao.entity.MaintenanceCompany;
import cn.com.ty.lift.business.maintenance.dao.mapper.MaintenanceCompanyMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author bieao
 * @date 2019/12/12
 * @description 维保业务层
 */
@Service
public class MaintenanceService {

    @Resource
    private MaintenanceCompanyMapper maintenanceCompanyMapper;

    /**
     * @param id 公司id
     * @return MaintenanceCompany
     * @description 查询维保公司信息
     * @date 2019/12/12 4:47 PM
     */
    public MaintenanceCompany selectById(Long id) {
        return maintenanceCompanyMapper.selectById(id);
    }
}
