package cn.com.ty.lift.system.user.dao.entity.model;

import lombok.Data;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-17
 * @description 项目用户关联表
 */
@Data
public class ProjectUser {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 公司id
     */
    private Long companyId;//维保公司id

    private List<Long> userIdList;

    public ProjectUser(){}

    public ProjectUser(Long userId, Long companyId){
        this.userId = userId;
        this.companyId = companyId;
    }

    public ProjectUser(Long companyId, List<Long> userIdList){
        this.companyId = companyId;
        this.userIdList = userIdList;
    }
}
